Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal.http
Class HTTPUnMarshaller

    java.lang.Object
      org.jboss.remoting.marshal.serializable.SerializableUnMarshaller
          org.jboss.remoting.marshal.http.HTTPUnMarshaller

All Implemented Interfaces:
  java.io.Serializable, PreferredStreamUnMarshaller, SerialUnMarshaller, UnMarshaller, VersionedUnMarshaller

    public class HTTPUnMarshaller

extends SerializableUnMarshaller

Author:
  Tom Elrod
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATATYPE`
`protected org.jboss.logging.Logger` | `log`

Fields inherited from class org.jboss.remoting.marshal.serializable.SerializableUnMarshaller
`customClassLoader, serializationType`

Constructor Summary
`HTTPUnMarshaller()`

Method Summary
`UnMarshaller` | `cloneUnMarshaller()`
`java.lang.Object` | `read(java.io.InputStream inputStream, java.util.Map metadata, int version)` Will try to unmarshall data from inputstream.

Methods inherited from class org.jboss.remoting.marshal.serializable.SerializableUnMarshaller
`getMarshallingStream, getMarshallingStream, getSerializationType, read, setClassLoader, setSerializationType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE

    public static final java.lang.String DATATYPE

See Also:
  Constant Field Values

### log

    protected final org.jboss.logging.Logger log

Constructor Detail

### HTTPUnMarshaller

    public HTTPUnMarshaller()

Method Detail

### read

    public java.lang.Object read(java.io.InputStream inputStream,
                                 java.util.Map metadata,
                                 int version)
                          throws java.io.IOException,
                                 java.lang.ClassNotFoundException

  Will try to unmarshall data from inputstream. Will try to convert to either an object or a string. If there is no data to read, will return null.

  Specified by:
    `read` in interface `VersionedUnMarshaller`
  Overrides:
    `read` in class `SerializableUnMarshaller`
  Parameters:
    `inputStream` -
    `metadata` -
    `version` -
  Returns:
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### cloneUnMarshaller

    public UnMarshaller cloneUnMarshaller()
                                   throws java.lang.CloneNotSupportedException

  Specified by:
    `cloneUnMarshaller` in interface `UnMarshaller`
  Overrides:
    `cloneUnMarshaller` in class `SerializableUnMarshaller`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.